local bar = _G[...]
--[[ Module ]]--

do
	local Module = bar.master:NewModule('PetBattleBar', 'AceEvent-3.0')

	function Module:Load()
		self.bar = bar:New()
		self.bar:Load()
		self:RegisterEvent('PET_BATTLE_OPENING_START', 'UpdateButtons');
		self:RegisterEvent('PET_BATTLE_TURN_STARTED', 'UpdateButtons');
		self:RegisterEvent('PET_BATTLE_PET_CHANGED', 'UpdateButtons');
		self:RegisterEvent('PET_BATTLE_ACTION_SELECTED', 'UpdateButtons');
		self.bar:UpdateComponents()
		
		PetBattleFrame.BottomFrame:SetParent(MainMenuBarArtFrame)
	end

	function Module:Unload()
		self:UnregisterAllEvents()

		if self.bar then
			self.bar:Free()
		end
	end

	function Module:UpdateButtons()
		if InCombatLockdown() then return end
		self.bar:UpdateButtons()
	end
end
